MetricsDisplayFormPrepareAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsDisplayFormPrepareAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.visibility
Class MetricsDisplayFormPrepareAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsControlFormPrepareAction
                  org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsDisplayFormPrepareAction

Direct Known Subclasses:
  AutoGroupMetricsFormPrepareAction, ResourceMetricsFormPrepareAction

    public abstract class MetricsDisplayFormPrepareAction

extends MetricsControlFormPrepareAction

An `Action` that retrieves data from the BizApp to facilitate display of the various pages that provide metrics summaries.

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`MetricsDisplayFormPrepareAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Long begin, java.lang.Long end)` Retrieve data needed to display a Metrics Display Form.
`protected java.util.Map` | `getMetrics(javax.servlet.http.HttpServletRequest request, AppdefEntityID[] entityIds, long filters, java.lang.String keyword, java.lang.Long begin, java.lang.Long end, boolean showAll)` Get from the Bizapp the set of metric summaries for the specified entities that will be displayed on the page.
`protected abstract java.util.Map` | `getMetrics(javax.servlet.http.HttpServletRequest request, AppdefEntityID entityId, long filters, java.lang.String keyword, java.lang.Long begin, java.lang.Long end, boolean showAll)` Get from the Bizapp the set of metric summaries for the specified entity that will be displayed on the page.
`protected java.lang.Boolean` | `getShowBaseline()` Do we show the baseline column on this page? The default answer is no, but subclasses can specify otherwise.
`protected java.lang.Boolean` | `getShowMetricSource()` Do we show the metric source column on this page? The default answer is no, but subclasses can specify otherwise.
`protected java.lang.Boolean` | `getShowNumberCollecting()` Do we show the number collecting column on this page? The default answer is no, but subclasses can specify otherwise.

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsControlFormPrepareAction
`prepareForm, prepareForm`

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### MetricsDisplayFormPrepareAction

    public MetricsDisplayFormPrepareAction()

Method Detail

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response,
                                                          java.lang.Long begin,
                                                          java.lang.Long end)
                                                   throws java.lang.Exception

  Retrieve data needed to display a Metrics Display Form. Respond to certain button clicks that alter the form display.

  Throws:
    `java.lang.Exception`

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Overrides:
    `execute` in class `MetricsControlFormPrepareAction`
  Throws:
    `java.lang.Exception`

### getShowNumberCollecting

    protected java.lang.Boolean getShowNumberCollecting()

  Do we show the number collecting column on this page? The default answer is no, but subclasses can specify otherwise.

### getShowBaseline

    protected java.lang.Boolean getShowBaseline()

  Do we show the baseline column on this page? The default answer is no, but subclasses can specify otherwise.

### getShowMetricSource

    protected java.lang.Boolean getShowMetricSource()

  Do we show the metric source column on this page? The default answer is no, but subclasses can specify otherwise.

### getMetrics

    protected abstract java.util.Map getMetrics(javax.servlet.http.HttpServletRequest request,
                                                AppdefEntityID entityId,
                                                long filters,
                                                java.lang.String keyword,
                                                java.lang.Long begin,
                                                java.lang.Long end,
                                                boolean showAll)
                                         throws java.lang.Exception

  Get from the Bizapp the set of metric summaries for the specified entity that will be displayed on the page. Returns a `Map` keyed by metric category.

  Parameters:
    `request` - the http request
    `entityId` - the entity id of the currently viewed resource
    `begin` - the time (in milliseconds since the epoch) that begins the timeframe for which the metrics are summarized
    `end` - the time (in milliseconds since the epoch) that ends the timeframe for which the metrics are summarized
  Returns:
    Map keyed on the category (String), values are List's of MetricDisplaySummary beans
  Throws:
    `java.lang.Exception`

### getMetrics

    protected java.util.Map getMetrics(javax.servlet.http.HttpServletRequest request,
                                       AppdefEntityID[] entityIds,
                                       long filters,
                                       java.lang.String keyword,
                                       java.lang.Long begin,
                                       java.lang.Long end,
                                       boolean showAll)
                                throws java.lang.Exception

  Get from the Bizapp the set of metric summaries for the specified entities that will be displayed on the page. Returns a `Map` keyed by metric category.

  Parameters:
    `request` - the http request
    `entityId` - the entity id of the currently viewed resource
    `begin` - the time (in milliseconds since the epoch) that begins the timeframe for which the metrics are summarized
    `end` - the time (in milliseconds since the epoch) that ends the timeframe for which the metrics are summarized
  Returns:
    Map keyed on the category (String), values are List's of MetricDisplaySummary beans
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.